=== modified file 'bzrlib/selftest/__init__.py'
--- bzrlib/selftest/__init__.py	2005-10-11 10:12:08 +0000
+++ bzrlib/selftest/__init__.py	2005-10-12 02:57:25 +0000
@@ -148,6 +148,7 @@
     routine, and to build and check bzr trees."""
 
     BZRPATH = 'bzr'
+    _log_file_name = None
 
     def setUp(self):
         unittest.TestCase.setUp(self)
@@ -182,8 +183,10 @@
 
     def _get_log(self):
         """Return as a string the log for this test"""
-        return open(self._log_file_name).read()
-
+        if self._log_file_name:
+            return open(self._log_file_name).read()
+        else:
+            return ''
 
     def capture(self, cmd):
         """Shortcut that splits cmd into words, runs, and returns stdout"""

